<?php

use App\Http\Controllers\HomeController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ReferenciasController;
use App\Http\Controllers\AtendimentoController;
use App\Http\Controllers\JsonController;
use App\Http\Controllers\CidadeController;
Route::get('/referencias', [ReferenciasController::class, 'index'])->name('referencias.index');

Route::get('/',[HomeController::class,'index'])->name('index');
Route::get('videos',[HomeController::class,'videos'])->name(('videos'));
Route::get('fechamentos',[HomeController::class,'fechamentos'])->name(('fechamentos'));
Route::get('/atendimento', [AtendimentoController::class, 'index'])->name('atendimento.index');
Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');
});

// routes/web.php

use App\Http\Controllers\UserPreferenceController;

Route::middleware('auth')->group(function () {
    Route::post('/preferences', [UserPreferenceController::class, 'store'])->name('preferences.store');
});


    Route::get('/cidades', [CidadeController::class, 'index'])->name('cidades.index');
    Route::get('/cidades/create', [CidadeController::class, 'create'])->name('cidades.create');
    Route::post('/cidades', [CidadeController::class, 'store'])->name('cidades.store');
    Route::get('/cidades/{cidade}/edit', [CidadeController::class, 'edit'])->name('cidades.edit');
    Route::put('/cidades/{cidade}', [CidadeController::class, 'update'])->name('cidades.update');
    Route::delete('/cidades/{cidade}', [CidadeController::class, 'destroy'])->name('cidades.destroy');